Bug 1845083 - severe memory issue in gnutls
Summary: severe memory issue in gnutls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 32
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Anderson Sasaki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-08 12:51 UTC by Björn Jacke
Modified: 2020-09-19 22:44 UTC (History)
7 users (show)

Fixed In Version: gnutls-3.6.14-2.fc32 gnutls-3.6.15-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-16 01:30:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab gnutls/gnutls/-/merge_requests/1278 None None None 2020-06-10 07:57:54 UTC

Description Björn Jacke 2020-06-08 12:51:42 UTC
there's a  memory leak in gnutls in conjunction with AES CCM mode.

For details see also

https://bugzilla.samba.org/show_bug.cgi?id=14399
https://gitlab.com/gnutls/gnutls/-/merge_requests/1277

please ship that fix from

https://gitlab.com/gnutls/gnutls/-/merge_requests/1278

for supported Fedora and RHEL products as this is a severe problem for many Samba customers.

Comment 1 Fedora Update System 2020-06-10 18:10:01 UTC
FEDORA-2020-7d50550ddf has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d50550ddf

Comment 2 Fedora Update System 2020-06-10 18:11:00 UTC
FEDORA-2020-5ccd452c8e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ccd452c8e

Comment 3 Fedora Update System 2020-06-14 17:16:12 UTC
gnutls-3.6.14-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ccd452c8e

Comment 4 Fedora Update System 2020-06-14 18:01:45 UTC
gnutls-3.6.14-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d50550ddf

Comment 5 Fedora Update System 2020-06-16 01:30:12 UTC
gnutls-3.6.14-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-09-04 15:13:08 UTC
FEDORA-2020-30cd8d9ad6 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-30cd8d9ad6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-30cd8d9ad6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-19 22:44:33 UTC
FEDORA-2020-30cd8d9ad6 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.